@font-face {
font-family: 'EuropeanTeletext';
src:  url("/assets/fonts/EuropeanTeletext.woff") format('woff'),
        url("/assets/fonts/EuropeanTeletext.woff2") format('woff2')
}



/* NOTE: Base styles (more or less global)  */

* {box-sizing: border-box;}
html {
    scroll-behavior: smooth;
    font-size: 16px;
}
body {
    margin: 0;
    padding: 0;
    font-family: "EuropeanTeletext", monospace;
    background-color: var(--color-black);
    word-wrap: break-word;
    font-size: 20px;
    /*filter: blur(1px);*/

    /* NOTE: Teletext colors */
    --color-black: rgba(0,0,0);
    --color-blue: rgba(0,0,255);
    --color-red: rgba(255,0,0);
    --color-magenta: rgba(255,0,255);
    --color-green: rgba(0,255,0);
    --color-cyan: rgba(0,255,255);
    --color-yellow: rgba(255,255,0);
    --color-white: rgba(255,255,255);
}

nav ul { display: flex; flex-direction: column; list-style: none; gap: 10px; flex-wrap: wrap;}

nav li { margin-right: 30px; }

main { margin: 0 auto;}

ul, li {
    margin: 0;
    padding: 0;
}

img {
    max-width: 100%
}

h1 {
    font-size: 60px;
    color: var(--color-red);
    text-transform: uppercase;
}

h2 {
    font-size: 20px;
    color: var(--color-green);
    text-transform: uppercase;
}

h3 {
    background: var(--color-cyan);
    color: var(--color-black);
    font-size: 20px;
}

a {
    color: var(--color-yellow);
}


/* desktop styles TODO: Byg alle responsive forskelle op omkring variabler...*/
@media (min-width: 700px) {
    body {
        font-size: 30px;
    }

    h1 {
        font-size: 120px;
    }

    h2 {
        font-size: 30px;
    }

    h3 {
        font-size: 30px;
    }

    nav ul { display: flex; flex-direction: row; list-style: none; }

}




/* NOTE: Components */
.header { 
    background-color: var(--color-yellow);
    padding: 16px;
    a {
        color: var(--color-black);
    }
}
.footer {
    background-color: var(--color-yellow);
    color: var(--color-black);
    padding: 16px;
}
/*
.button {
    background-color: var(--button-bg-color);
    color: var(--button-text-color);
    padding: 2px;
}
*/

.logo {
    padding: 30px;
}

.page {}
.page__section {
    --section-text-color: var(--color-white);
    --section-bg-color: var(--color-black);

    --button-text-color: var(--color-black);
    --button-bg-color: var(--color-yellow);

    padding: 25px 0;

    color: var(--section-text-color);
    background-color: var(--section-bg-color);
}

/*
.page__section:nth-child(odd) {
    --section-text-color: black;
    --section-bg-color: white;

    --button-text-color: white;
    --button-bg-color: black;
}
*/

.page__section--hero {
    padding-top: 0
}

/* desktop styles TODO: Byg alle responsive forskelle op omkring variabler...*/
@media (min-width: 700px) {
    .page__section {
        padding: 50px 0;
    }
}

.container {
    /*max-width: 720px;*/
    max-width: 40ch;
    padding: 0 32px; 
    margin: 0 auto;
}

.gallery {
    display: flex;
    flex-direction: column;
    gap: 40px;
    align-items: center;
}

.gallery__item {
    flex-grow: 0;
    padding: 8px;
    background-color: #fff;
}
.gallery__img {
    max-height: 800px;
} 

.gallery__item p {
    color: #000;
    padding-top: 4px;
    margin: 0;
    line-height: 1.1;
    text-align: center;
    overflow: hidden;
}



/* NOTE: Utilities  */

.not-html-text {
    white-space: pre-wrap;
}